For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETList all providers
LogoLogo
ModelsChatRankingsDocs
API ReferenceProviders

List all providers

GET
https://openrouter.ai/api/v1/providers
GET
/api/v1/providers
$curl https://openrouter.ai/api/v1/providers \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "name": "OpenAI",
5 "privacy_policy_url": "https://openai.com/privacy",
6 "slug": "openai",
7 "datacenters": [
8 "US",
9 "IE"
10 ],
11 "headquarters": "US",
12 "status_page_url": "https://status.openai.com",
13 "terms_of_service_url": "https://openai.com/terms"
14 }
15 ]
16}
Was this page helpful?
Previous

Submit a rerank request

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Response

Returns a list of providers
datalist of objects

Errors

500
Internal Server Error